mbedtls_md_info_t Struct Reference

Message digest information. More...

`#include <md_internal.h>`

## Data Fields

mbedtls_md_type_t | type
| Digest identifier. More...
const char * | name
| Name of the message digest. More...
int | size
| Output length of the digest function in bytes. More...
int | block_size
| Block length of the digest function in bytes. More...
void(* | starts_func )(void *ctx)
| Digest initialisation function. More...
void(* | update_func )(void *ctx, const unsigned char *input, size_t ilen)
| Digest update function. More...
void(* | finish_func )(void *ctx, unsigned char *output)
| Digest finalisation function. More...
void(* | digest_func )(const unsigned char *input, size_t ilen, unsigned char *output)
| Generic digest function. More...
void *(* | ctx_alloc_func )(void)
| Allocate a new context. More...
void(* | ctx_free_func )(void *ctx)
| Free the given context. More...
void(* | clone_func )(void *dst, const void *src)
| Clone state from a context. More...
void(* | process_func )(void *ctx, const unsigned char *input)
| Internal use only. More...

## Detailed Description

Message digest information.

Allows message digest functions to be called in a generic way.

Definition at line 46 of file md_internal.h.

## Field Documentation

int mbedtls_md_info_t::block_size

Block length of the digest function in bytes.

Definition at line 58 of file md_internal.h.

void(* mbedtls_md_info_t::clone_func) (void *dst, const void *src)

Clone state from a context.

Definition at line 80 of file md_internal.h.

void*(* mbedtls_md_info_t::ctx_alloc_func) (void)

Allocate a new context.

Definition at line 74 of file md_internal.h.

void(* mbedtls_md_info_t::ctx_free_func) (void *ctx)

Free the given context.

Definition at line 77 of file md_internal.h.

void(* mbedtls_md_info_t::digest_func) (const unsigned char *input, size_t ilen, unsigned char *output)

Generic digest function.

Definition at line 70 of file md_internal.h.

void(* mbedtls_md_info_t::finish_func) (void *ctx, unsigned char *output)

Digest finalisation function.

Definition at line 67 of file md_internal.h.

const char* mbedtls_md_info_t::name

Name of the message digest.

Definition at line 52 of file md_internal.h.

void(* mbedtls_md_info_t::process_func) (void *ctx, const unsigned char *input)

Internal use only.

Definition at line 83 of file md_internal.h.

int mbedtls_md_info_t::size

Output length of the digest function in bytes.

Definition at line 55 of file md_internal.h.

void(* mbedtls_md_info_t::starts_func) (void *ctx)

Digest initialisation function.

Definition at line 61 of file md_internal.h.

mbedtls_md_type_t mbedtls_md_info_t::type

Digest identifier.

Definition at line 49 of file md_internal.h.

void(* mbedtls_md_info_t::update_func) (void *ctx, const unsigned char *input, size_t ilen)

Digest update function.

Definition at line 64 of file md_internal.h.

The documentation for this struct was generated from the following file:

- md_internal.h